Summary:	A desktop wiki and outliner
Name:		zim
Version:	0.65
Release:	%mkrel 1
Source0:	http://www.zim-wiki.org/downloads/%{name}-%version.tar.gz
# from upstream
Source1:	ru.po
License:	GPLv2
Group:		Editors
Url:		http://www.zim-wiki.org/
BuildRequires:	python-devel
BuildRequires:	python-gobject
Requires:	python
Requires:	pygtk2.0
Requires:	python-gobject
Requires:	python-simplejson
Recommends:	python-pyxdg
Recommends:	xdg-utils

# recommends added so all plugins can be enabled and used
Recommends:	scrot
Recommends:	imagemagick
Recommends:	graphviz
Recommends:	zeitgeist
Recommends:	gnuplot
Recommends:	R-base
Recommends:	gtksourceview2

# do we really want this? >= 120MB per package
#Recommends:	texlive
#Recommends:	lilypond

BuildArch:	noarch

%description
Zim is a graphical text editor used to maintain a collection of wiki pages.
Each page can contain links to other pages, simple formatting and images.
Pages are stored in a folder structure, like in an outliner, and can have
attachments. Creating a new page is as easy as linking to a nonexistent page.
All data is stored in plain text files with wiki formatting. Various plugins
provide additional functionality, like a task list manager, an equation editor,
a tray icon, and support for version control.

%prep
%setup -q
cp -f %{SOURCE1} translations/

%build
# nothing

%install
python setup.py install --skip-xdg-cmd --root=%{buildroot}

install -D -m 0644 data/zim.png %{buildroot}%{_iconsdir}/hicolor/64x64/mimetypes/application-x-zim-notebook.png
install -D -m 0644 data/zim.png %{buildroot}%{_iconsdir}/hicolor/64x64/mimetypes/gnome-mime-application-x-zim-notebook.png

rm -rf %{buildroot}%{_iconsdir}/ubuntu*

# remove shebangs in some module files (https://bugs.launchpad.net/zim/+bug/1518982)
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelib}/zim/inc/xdot.py \
                        %{buildroot}%{python_sitelib}/zim/_version.py

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt CHANGELOG.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/*
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/*
%{_iconsdir}/hicolor/*/*/*


%changelog
* Mon Nov 23 2015 alexl <alexl> 0.65-1.mga6
+ Revision: 905057
- version 0.65
- update russian translation
- del upstreamed patches

* Tue Jul 28 2015 alexl <alexl> 0.63-2.mga6
+ Revision: 858345
- remove shebangs in some module files
- add filename parameter to Exec entry of desktop file

* Mon Jul 27 2015 alexl <alexl> 0.63-1.mga6
+ Revision: 858165
- version 0.63
- fix translation (translatable.patch)
- update Russian translation

* Fri Nov 28 2014 doktor5000 <doktor5000> 0.62-1.mga5
+ Revision: 799745
- fix .desktop file
- new version 0.62
- added the following Recommends so all plugins can be enabled and used
  o scrot
  o imagemagick
  o graphviz
  o zeitgeist
  o gnuplot
  o R-base
  o gtksourceview2
- added appdata.xml file

* Wed Oct 15 2014 umeabot <umeabot> 0.60-7.mga5
+ Revision: 744641
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.60-6.mga5
+ Revision: 730755
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.60-5.mga5
+ Revision: 690874
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.60-3.mga4
+ Revision: 544710
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.60-2.mga4
+ Revision: 500027
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed May 01 2013 mitya <mitya> 0.60-1.mga3
+ Revision: 411748
- New version 0.60

* Sun Jan 27 2013 mitya <mitya> 0.59-1.mga3
+ Revision: 392770
- New version 0.59

* Mon Jan 14 2013 umeabot <umeabot> 0.58-2.mga3
+ Revision: 387687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mitya <mitya> 0.58-1.mga3
+ Revision: 332626
- New version 0.58

* Sun Oct 14 2012 mitya <mitya> 0.57-1.mga3
+ Revision: 305581
- New version 0.57

* Mon Jun 11 2012 dams <dams> 0.56-1.mga3
+ Revision: 259778
- new version 0.56

* Mon Jun 20 2011 ahmad <ahmad> 0.52-1.mga2
+ Revision: 110753
- Update to 0.52

* Sun Mar 27 2011 ahmad <ahmad> 0.50-2.mga1
+ Revision: 77962
- imported package zim


* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.50-1mdv2011.0
+ Revision: 645496
- update to new version 0.50

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.48-2mdv2011.0
+ Revision: 592373
- rebuild for python 2.7

* Fri Aug 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.48-1mdv2011.0
+ Revision: 567190
- update to 0.48
- drop patch0 and use --skip-xdg-cmd instead

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 0.46-1mdv2010.1
+ Revision: 527405
- New version 0.46

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.44-1mdv2010.1
+ Revision: 515235
- update tp 0.44

* Sat Feb 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.43-1mdv2010.1
+ Revision: 505185
- add missing BR
- update to 0.43
- add patch to fix setup.py
- fix license
- clean spec

* Sat Dec 19 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.28-2mdv2010.1
+ Revision: 480044
- rebuild for perl5.10.1 (bug #56339)

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 0.28-1mdv2010.0
+ Revision: 397456
- new version 0.28

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.26-1mdv2009.0
+ Revision: 275621
- New version 0.26

* Wed Aug 06 2008 Olivier Blin <oblin@mandriva.com> 0.25-2mdv2009.0
+ Revision: 264208
- rebuild for perl 5.10 (#41070)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Funda Wang <fwang@mandriva.org>
    - add missing BRs

* Sun May 25 2008 Funda Wang <fwang@mandriva.org> 0.25-1mdv2009.0
+ Revision: 211110
- update to new version 0.25
- fix URL

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 0.24-1mdv2009.0
+ Revision: 196730
- New version 0.24

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Funda Wang <fwang@mandriva.org> 0.23-1mdv2008.1
+ Revision: 111173
- New version 0.23

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.22-1mdv2008.1
+ Revision: 97304
- New release 0.22

* Sun Aug 19 2007 Funda Wang <fwang@mandriva.org> 0.20-1mdv2008.0
+ Revision: 67025
- New version 0.20

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 0.19-1mdv2008.0
+ Revision: 14988
- 0.19


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.17-1mdv2007.0
+ Revision: 122457
- New release 0.17

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com> 0.16-2mdv2007.0
+ Revision: 57640
- fix typo in summary
- Import zim

* Sun Jul 30 2006 Olivier Blin <blino@mandriva.com> 0.16-1mdv2007.0
- initial Mandriva release

